> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite Teammate

> Returns 409 until runtime admission is ready.



## OpenAPI

````yaml /api-reference/customer-api.v1.openapi.json post /v1/admin/customer-users/invite
openapi: 3.1.0
info:
  title: Mount Thor Customer API
  version: v1
servers:
  - description: Mount Thor customer API edge
    url: https://api.mountthor.com
security: []
paths:
  /v1/admin/customer-users/invite:
    post:
      tags:
        - customer-users
      summary: Invite Teammate
      description: Returns 409 until runtime admission is ready.
      operationId: create_customer_user_invite
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomerUserInviteRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCustomerUserInviteResponse'
          description: Invitation issued
        '400':
          description: Request body failed validation
        '401':
          description: Missing or invalid customer credential
        '403':
          description: Credential is missing users:write scope
        '409':
          description: Conflict
        '429':
          content:
            text/plain:
              schema:
                type: string
          description: Rate limit exceeded
          headers:
            Retry-After:
              description: Seconds before retry.
              schema:
                minimum: 1
                type: integer
        '503':
          description: Service unavailable
      security:
        - api_key_bearer:
            - users:write
components:
  schemas:
    CreateCustomerUserInviteRequest:
      additionalProperties: false
      properties:
        display_name:
          example: Alice Example
          type:
            - string
            - 'null'
        email:
          example: alice@acmecorp.com
          type: string
        role_slug:
          example: customer-reader
          type:
            - string
            - 'null'
      required:
        - email
      type: object
    CreateCustomerUserInviteResponse:
      additionalProperties: false
      properties:
        accept_invitation_url:
          type:
            - string
            - 'null'
        customer_id:
          description: Customer the invitee will join on acceptance.
          format: uuid
          type: string
        customer_user_id:
          format: uuid
          type: string
        email:
          description: Lowercased invitee email as persisted.
          type: string
        status:
          type: string
      required:
        - customer_user_id
        - customer_id
        - email
        - status
      type: object
  securitySchemes:
    api_key_bearer:
      bearerFormat: mthr_live_*
      description: Bearer scheme name used by typed customer admin operations.
      scheme: bearer
      type: http

````